petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscOptionsHasHelp

Determines whether the "-help" option is in the database.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsHasHelp(PetscOptions options,PetscBool *set)

Not Collective

### Input Parameters

options -options database, use NULL for default global database

### Output Parameters

set -PETSC_TRUE if found else PETSC_FALSE.

### See Also

PetscOptionsHasName()

### Level

advanced

### Location

src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages